$(document).ready(function () {
    "use strict";
    
    // Свернуть-развернуть дочерние ячейки в таблице:
    $('.table.groups').on('click', 'span.group', function(e) {

        var
            $this = $(this),
            $tableBody = $('tbody', $this.parents('table')),
            $wrap = $this.parents('tr').eq(0),
            id = $wrap.data('id'),
            isOpen,
            $subcats = $('tr.campaign-item[data-parent="'+ id + '"]', $tableBody);
            

        $this.toggleClass('open');
        isOpen = $this.hasClass('open');

        if (isOpen) {
            $subcats.addClass('open');
        } else {
            $subcats.removeClass('open');
        }

    });
    
    // Разворачиваем списки групп кампаний при старте:
    $('.table.groups span.group').click();
    
    // Фильтрация в таблице:
    $('.users-groups').filterAmsystemTable({
        table: '.table.groups',
        selectStatus: '.form-control.campaign-status',
        currentFilterDefault: 'not-archive'
    });
    
    // Сортировка в таблице групп-кампаний:
    $('.users-groups .table.groups').sortAmsystemTable();
    
});

